#ifndef SAMPLEWIDGET_H
#define SAMPLEWIDGET_H

#include <QWidget>
#include <QLineEdit>
#include <QPushButton>

class SampleWidget : public QWidget
{
    Q_OBJECT
public:
    SampleWidget(QWidget *parent = 0);
    ~SampleWidget();
private:
    QLineEdit *m_ttlineEdit1, *m_ttlineEdit2, *m_ttlineEdit3, *m_ttlineEdit4;
    QPushButton *saveButton;

private slots:
    void save_sample_info_to_file();
public slots:
    void show_read_sample_param_slot(QString sname, double quality);
};


#endif // SAMPLEWIDGET_H
